Package org.apache.sling.commons.threads

## Enum ThreadPoolConfig.ThreadPoolPolicy

- java.lang.Object
- - java.lang.Enum<ThreadPoolConfig.ThreadPoolPolicy>
  - - org.apache.sling.commons.threads.ThreadPoolConfig.ThreadPoolPolicy

All Implemented Interfaces:
  `Serializable`, `Comparable<ThreadPoolConfig.ThreadPoolPolicy>`

Enclosing interface:
  ThreadPoolConfig

    public static enum ThreadPoolConfig.ThreadPoolPolicy
    extends Enum<ThreadPoolConfig.ThreadPoolPolicy>

The thread pool policies.

### Enum Constant Summary

Enum Constants
`ABORT`
`DISCARD`
`DISCARDOLDEST`
`RUN`

### Method Summary

All Methods Static Methods Concrete Methods
`static ThreadPoolConfig.ThreadPoolPolicy` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static ThreadPoolConfig.ThreadPoolPolicy[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### ABORT

    public static final ThreadPoolConfig.ThreadPoolPolicy ABORT

#### DISCARD

    public static final ThreadPoolConfig.ThreadPoolPolicy DISCARD

#### DISCARDOLDEST

    public static final ThreadPoolConfig.ThreadPoolPolicy DISCARDOLDEST

#### RUN

    public static final ThreadPoolConfig.ThreadPoolPolicy RUN

### Method Detail

#### values

    public static ThreadPoolConfig.ThreadPoolPolicy[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (ThreadPoolConfig.ThreadPoolPolicy c : ThreadPoolConfig.ThreadPoolPolicy.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static ThreadPoolConfig.ThreadPoolPolicy valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null